ctrl_handle Struct Reference

`#include <control_if.h>`

## Data Fields

struct osmo_fd | listen_fd
void * | data
ctrl_cmd_lookup | lookup
struct llist_head | ccon_list

## Field Documentation

## ccon_list

struct llist_head ctrl_handle::ccon_list

Referenced by ctrl_cmd_send_to_all(), ctrl_handle_alloc2(), and listen_fd_cb().

## data

void* ctrl_handle::data

Referenced by ctrl_handle_alloc(), ctrl_handle_alloc2(), ctrl_handle_msg(), ctrl_interface_setup(), ctrl_interface_setup_dynip(), ctrl_interface_setup_dynip2(), handle_control_read(), and listen_fd_cb().

## listen_fd

struct osmo_fd ctrl_handle::listen_fd

Referenced by ctrl_interface_setup_dynip2().

## lookup

ctrl_cmd_lookup ctrl_handle::lookup

Referenced by ctrl_cmd_handle(), ctrl_handle_alloc(), ctrl_handle_alloc2(), ctrl_interface_setup(), ctrl_interface_setup_dynip(), and ctrl_interface_setup_dynip2().

The documentation for this struct was generated from the following file:

- include/osmocom/ctrl/control_if.h